Bug 1085951 - inxi does not include enough dependencies
inxi does not include enough dependencies
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Alexei Sorokin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-19 23:40 UTC by simon izor
Modified: 2020-03-31 16:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simon izor 2018-03-19 23:40:31 UTC
Even when installing 'inxi' with recommended packages, I always get an error output when running it:

Resuming in non X mode: xdpyinfo not found. For package install advice run: inxi --recommends


This is the output of 'inxi --recommends':

inxi will now begin checking for the programs it needs to operate. First a check of the main languages and tools
inxi uses. Python is only for debugging data uploads unless Perl is missing.
---------------------------------------------------------------------------
Bash version: 4.4.19(1)-release
Gawk version: 4.2.1,
Sed version: 4.4
Sudo version: 1.8.22
Python version: 2.7.14 (deprecated)
Perl version: v5.26.1
---------------------------------------------------------------------------
Test One: Required System Directories (Linux Only).
If one of these system directories is missing, inxi cannot operate:

/proc....................................................................... Present
/sys........................................................................ Present

All the  directories are present.
---------------------------------------------------------------------------
Test Two: Required Core Applications.
If one of these applications is missing, inxi cannot operate:

df (info: partition data)................................................... /usr/bin/df
gawk (info: core tool)...................................................... /usr/bin/gawk
grep (info: string search).................................................. /usr/bin/grep
lspci (info: hardware data)................................................. /sbin/lspci
ps (info: process data)..................................................... /usr/bin/ps
readlink.................................................................... /usr/bin/readlink
sed (info: string replace).................................................. /usr/bin/sed
tr (info: character replace)................................................ /usr/bin/tr
uname (info: kernel data)................................................... /usr/bin/uname
wc (info: word character count)............................................. /usr/bin/wc

All the  applications are present.
---------------------------------------------------------------------------
Test Three: Script Recommends for Graphics Features.
NOTE: If you do not use X these do not matter (like a headless server). Otherwise, if one of these applications
is missing, inxi will have incomplete output:

glxinfo (info: -G glx info)................................................. /usr/bin/glxinfo
xdpyinfo (info: -G multi screen resolution)................................. Missing
xprop (info: -S desktop data)............................................... /usr/bin/xprop
xrandr (info: -G single screen resolution).................................. /usr/bin/xrandr

The following applications are missing from your system:

Application: xdpyinfo
To add to your system, install the proper distribution package for your system:
Debian/Ubuntu: X11-utils :: Arch Linux: xorg-xdpyinfo :: Redhat/Fedora/Suse: xorg-x11-utils
---------------------------------------------------------------------------
Test Four: Script Recommends for Remaining Features.
If one of these applications is missing, inxi will have incomplete output:

dig (info: -i first wlan ip default test)................................... /usr/bin/dig
dmidecode (info: -M if no sys machine data; -m memory)...................... /usr/sbin/dmidecode
file (info: -o unmounted file system)....................................... /usr/bin/file
hciconfig (info: -n -i bluetooth data)...................................... /usr/bin/hciconfig
hddtemp (info: -Dx show hdd temp)........................................... Missing
ifconfig (info: -i ip lan-deprecated)....................................... /usr/bin/ifconfig
ip (info: -i ip lan)........................................................ /bin/ip
sensors (info: -s sensors output)........................................... Missing
strings (info: -I sysvinit version)......................................... /usr/bin/strings
lsusb (info: -A usb audio;-N usb networking)................................ /usr/bin/lsusb
modinfo (info: -Ax,-Nx module version)...................................... /sbin/modinfo
runlevel (info: -I runlevel)................................................ /sbin/runlevel
sudo (info: -Dx hddtemp-user;-o file-user).................................. /usr/bin/sudo
uptime (info: -I uptime (check which package owns Debian)).................. /usr/bin/uptime

The following applications are missing from your system:

Application: hddtemp
To add to your system, install the proper distribution package for your system:
Debian/Ubuntu: hddtemp :: Arch Linux: hddtemp :: Redhat/Fedora/Suse: hddtemp

Application: sensors
To add to your system, install the proper distribution package for your system:
Debian/Ubuntu: lm-sensors :: Arch Linux: lm_sensors :: Redhat/Fedora/Suse: lm-sensors
---------------------------------------------------------------------------
Test Five: Script Recommends for Remaining Features.
One of these downloaders needed for options -i/-w/-W (-U/-! [11-15], if supported):

wget (info: -i wan ip;-w/-W;-U/-! [11-15] (if supported))................... /usr/bin/wget
curl (info: -i wan ip;-w/-W;-U/-! [11-15] (if supported))................... /usr/bin/curl

All the  applications are present.
---------------------------------------------------------------------------
Test Six: System Directories for Various Information.
(Unless otherwise noted, these are for GNU/Linux systems)
If one of these directories is missing, inxi may have incomplete output:

/sys/class/dmi/id (info: -M system, motherboard, bios)...................... Present
/dev (info: -l,-u,-o,-p,-P,-D disk partition data).......................... Present
/dev/disk/by-label (info: -l,-o,-p,-P partition labels)..................... Missing
/dev/disk/by-uuid (info: -u,-o,-p,-P partition uuid)........................ Present

The following directories are missing from your system:
Directory: /dev/disk/by-label
---------------------------------------------------------------------------
Test Seven: System Files for Various Information.
(Unless otherwise noted, these are for GNU/Linux systems)
If one of these files is missing, inxi may have incomplete output:

/proc/asound/cards (info: -A sound card data)............................... Present
/proc/asound/version (info: -A ALSA data)................................... Present
/proc/cpuinfo (info: -C cpu data)........................................... Present
/etc/lsb-release (info: -S distro version data [deprecated])................ Missing
/proc/mdstat (info: -R mdraid data)......................................... Missing
/proc/meminfo (info: -I memory data)........................................ Present
/etc/os-release (info: -S distro version data).............................. Present
/proc/partitions (info: -p,-P partitions data).............................. Present
/proc/modules (info: -G module data)........................................ Present
/proc/mounts (info: -P,-p partition advanced data).......................... Present
/var/run/dmesg.boot (info: -D,-d disk data [BSD only])...................... Missing
/proc/scsi/scsi (info: -D Advanced hard disk data [used rarely])............ Present
/var/log/Xorg.0.log (info: -G graphics driver load status).................. Present

The following files are missing from your system:
File: /etc/lsb-release
File: /proc/mdstat
File: /var/run/dmesg.boot
---------------------------------------------------------------------------
All tests completed.
Comment 1 Alexei Sorokin 2018-07-06 15:30:57 UTC
This was fixed in May, thanks for the report.
Comment 2 Swamp Workflow Management 2020-03-24 23:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1085951) was mentioned in
https://build.opensuse.org/request/show/787949 15.1 / inxi
Comment 3 Swamp Workflow Management 2020-03-30 13:25:16 UTC
openSUSE-RU-2020:0410-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1085951,1167611
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    inxi-3.0.38-lp151.3.3.1
Comment 4 Swamp Workflow Management 2020-03-31 16:45:59 UTC
openSUSE-RU-2020:0431-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1085951,1167611
CVE References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    inxi-3.0.38-bp151.4.3.1